Bug 72418 - magicdev+nautilus versus the systems settings->packages app: magicdev wins (it shouldn't)
magicdev+nautilus versus the systems settings->packages app: magicdev wins (i...
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-08-23 12:24 EDT by Telsa Gwynne
Modified: 2007-04-18 12:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.95.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-22 00:12:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Telsa Gwynne 2002-08-23 12:24:48 EDT
Bear with me. This one is confusing :( 

GUI install of a (null) personal desktop on an AMD K6 
Logged in as root to set some stuff up. Into X. Found
nautilus and system settings. Went there. 
Found 'packages'. Went there.

Met the package selection thing from the installer. Added a collection
of things I wanted. Hit continue. Got "insert CD". Did that. Got
"now insert second CD". Did that. The CD drive is round the other
side of the desk. Returned to seat to find that magicdev had spotted
the CD and nautilus had thrown up a window. And that this was somehow
interfering with the package updating program. By the time I was able
to click "OK" to the dialogue box telling me to insert CD 2, magicdev
and nautilus had it and the package updating program was confused.

This is where it all became a nightmare. I was running from one side of
the desk to the other, trying to unmount the second CD (which turned out
to be the wrong CD) in a real terminal, and stop magicdev from mounting 
it and kill nautilus windows and tell the package updater "Yes, NOW, 
start updating, quick before magicdev notices!" :) and get the right
CD in the drive. This happened all over again with CD3. 

My solution at home will be to remove magicdev, because I am happy to
mount CDs myself when I need to. But for people who aren't, this is a
nasty situation to be in: windows popping up, "OK" buttons that result
in "Can't see CD", and so on. 

Perhaps the package updater could stop magicdev until it's finished?

I was going to bugzilla this against the package updating program
(I haven't even figured out what it's called yet) but I got told to
put it against magicdev. 

I'm sorry if this report isn't very clear. The exact sequence of
what happened when was hard to work out. I think that starting the
updater, putting the first CD in when the dialogue box prompts you
to, and then waiting ten seconds should give you the same effect.
Comment 1 Owen Taylor 2002-08-23 12:53:56 EDT
Refiling to redhat-config-packages, since I don't see how magicdev
would interfere with the normal operation of the package tool.

Certainly, it's going to be a little confusing to have nautilus
popping up windows, but it shouldn't be harmful.

(The package tool could actually handle this
pretty easily by temporarily changing the relevant GConf key
and then changing it back.)
Comment 2 Jeremy Katz 2002-08-23 15:10:53 EDT
How am I supposed to change the user's gconf key?  redhat-config-packages has to
run as root to be able to actually install packages :(
Comment 3 Owen Taylor 2002-08-23 15:33:26 EDT
OK, then we ignore the new-windows-popping up problem. It's reasonably
minor. If nautilus works as well as mc did, it's even less of an
issue, since it will reuse existing windows, etc.
Comment 4 Jeremy Katz 2002-08-29 00:21:04 EDT
Okay, the first part is taken care of in CVS (will be in 0.95-1 which I'll build
shortly).  The windows popping up needs a little bit of pygtk work to get to
work, but I'll look at that tomorrow
Comment 5 Jeremy Katz 2002-08-30 19:18:56 EDT
Window popping up will be taken care of in the first version > 0.95.1
Comment 6 John Thacker 2006-04-22 00:12:57 EDT
Long fixed, RH 8 not supported, and magicdev and s-c-p aren't shipped anymore. 
(Pirut replaced s-c-p.)  Closing.

Note You need to log in before you can comment on or make changes to this bug.